Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.datacache.query
Class CacheAwareQuery.CachedResultList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--com.solarmetric.kodo.runtime.datacache.query.CacheAwareQuery.CachedResultList

All Implemented Interfaces:
  Collection, List, ResultList, Serializable

Enclosing class:
  CacheAwareQuery

static class CacheAwareQuery.CachedResultList
extends AbstractList
implements ResultList

See Also:
  Serialized Form

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`void` | `checkClosed()` Check to see if this ResultList has been closed, and if so, throw a JDOUserException.
`void` | `close()` Close the list.
`Object` | `get(int index)`
`int` | `getInstantiatedCount()` Returns the number of objects that are currently instantiated internally in this list.
`boolean` | `isClosed()` Returns true if the list has been closed.
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList, toArray, toArray`

Method Detail

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Overrides:
    `get` in class `AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `List`
  Overrides:
    `size` in class `AbstractCollection`

### close

    public void close()

  Description copied from interface: `ResultList`
  Close the list.
  Specified by:
    `close` in interface `ResultList`

### isClosed

    public boolean isClosed()

  Description copied from interface: `ResultList`
  Returns true if the list has been closed.
  Specified by:
    `isClosed` in interface `ResultList`

### checkClosed

    public void checkClosed()

  Description copied from interface: `ResultList`
  Check to see if this ResultList has been closed, and if so, throw a JDOUserException.
  Specified by:
    `checkClosed` in interface `ResultList`

### getInstantiatedCount

    public int getInstantiatedCount()

  Description copied from interface: `ResultList`
  Returns the number of objects that are currently instantiated internally in this list.
  Specified by:
    `getInstantiatedCount` in interface `ResultList`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.